Page MenuHomePhabricator | MITK

[PR231] Unusable window geometry after restart on non-default screen
Closed, ResolvedPublic

Description

Behavior observed on Windows when workbench window is completely on a second screen (not the default screen) and restored the next time that workbench ist started: the window would be displayed with a very small (~20px) width and the titlebar out of reach because above the screen top limit.

Debugging into this brought me to the changed file which applies some logic if the previously stored window position has no overlap with the default screen geometry. This would trigger for the second screen scenario above.

I changed the behavior so that the window will be centered in a
default size of 90% when it does not show on the default screen.
This avoids unusable tiny window sizes.

I would have preferred to restore the original position on the second screen, but this would have required deeper knowledge of the BlueBerry window description and the ability to test any changes on all supported platforms.

Could be integrated into release branch and master.

Event Timeline

maleike created this task.Mar 12 2019, 11:15 AM
maleike renamed this task from Integrate github pull request 231 to Github pull request 231 (When the workbench window is out of the (default) screen, center it.).
maleike updated the task description. (Show Details)
kislinsk edited projects, added MITK; removed MITK (2018-04-2).Mar 13 2019, 4:00 PM
kislinsk added a subscriber: kislinsk.

Sorry, this was too close to the MITK 2018.04.2 release to be considered to be part of the bugfix release.

kislinsk edited projects, added MITK (2018-04-4); removed MITK.Mar 29 2019, 8:39 AM

I agree that a correct window geometry restore is preferable but at least this is an improvement, so thank you!

kislinsk triaged this task as Low priority.Mar 29 2019, 1:57 PM
kislinsk claimed this task.
kislinsk closed this task as Resolved.
kislinsk renamed this task from Github pull request 231 (When the workbench window is out of the (default) screen, center it.) to [PR231] Unusable window geometry after restart on non-default screen.